(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('rxjs'), require('@angular/common'), require('rxjs/operators'), require('@bea-shell/bea-shell.service'), require('@angular/core'), require('@angular/router')) :
    typeof define === 'function' && define.amd ? define('bea-shell', ['exports', 'rxjs', '@angular/common', 'rxjs/operators', '@bea-shell/bea-shell.service', '@angular/core', '@angular/router'], factory) :
    (factory((global['bea-shell'] = {}),global.rxjs,global.ng.common,global.rxjs.operators,global.BeaShellService,global.ng.core,global.ng.router));
}(this, (function (exports,rxjs,common,operators,beaShell_service,i0,router) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var BeaShellService = /** @class */ (function () {
        function BeaShellService() {
            this.onMenuItemClick = new rxjs.BehaviorSubject(null);
            this.onMenuItemDoubleClick = new rxjs.BehaviorSubject(null);
            this.onMenuButtonClick = new rxjs.BehaviorSubject(false);
            this.onSidebarToggle = new rxjs.BehaviorSubject(false);
            this.onOptionsChange = new rxjs.BehaviorSubject(null);
        }
        /**
         * @param {?} options
         * @return {?}
         */
        BeaShellService.prototype.setOptions = /**
         * @param {?} options
         * @return {?}
         */
            function (options) {
                this.onOptionsChange.next(options);
            };
        /**
         * @return {?}
         */
        BeaShellService.prototype.expandSidebar = /**
         * @return {?}
         */
            function () {
                this.onSidebarToggle.next(true);
            };
        /**
         * @return {?}
         */
        BeaShellService.prototype.retractSidebar = /**
         * @return {?}
         */
            function () {
                this.onSidebarToggle.next(false);
            };
        BeaShellService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root',
                    },] }
        ];
        /** @nocollapse */
        BeaShellService.ctorParameters = function () { return []; };
        /** @nocollapse */ BeaShellService.ngInjectableDef = i0.defineInjectable({ factory: function BeaShellService_Factory() { return new BeaShellService(); }, token: BeaShellService, providedIn: "root" });
        return BeaShellService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var BeaShellComponent = /** @class */ (function () {
        function BeaShellComponent(_beaShell) {
            this._beaShell = _beaShell;
            this.beaShell = _beaShell;
        }
        Object.defineProperty(BeaShellComponent.prototype, "options", {
            get: /**
             * @return {?}
             */ function () {
                return this._options;
            },
            set: /**
             * @param {?} options
             * @return {?}
             */ function (options) {
                this._options = options;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        BeaShellComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @return {?}
         */
        BeaShellComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
            function () {
                this.withTopbar = !this.options.topbar.disabled;
                this.withSidebar = !this.options.sidebar.disabled;
                this.beaShell.setOptions(this.options);
            };
        BeaShellComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'bea-shell',
                        template: "<topbar *ngIf=\"!options?.topbar || !options?.topbar?.disabled\"></topbar>\r\n<sidebar *ngIf=\"!options?.sidebar || !options?.sidebar?.disabled\"></sidebar>\r\n<content [class.withTopbar]=\"withTopbar\" [class.withSidebar]=\"withSidebar\" [class.alwaysExpandable]=\"options?.sidebar?.alwaysExpandable\"\r\n    [ngClass]=\"options?.sidebar?.placement ? options.sidebar.placement : 'left'\">\r\n    <ng-content></ng-content>\r\n</content>",
                        styles: [".topbar{height:54px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.sidebar{width:300px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.noselect{-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}content{box-sizing:border-box;position:fixed;top:0;left:0;right:0;bottom:0;z-index:-1}content.withTopbar{top:54px}content.withSidebar:not(.alwaysExpandable).left{left:300px}content.withSidebar:not(.alwaysExpandable).right{right:300px}@media screen and (max-width:768px){content.withSidebar.left,content.withSidebar:not(.alwaysExpandable).left{left:0}content.withSidebar.right,content.withSidebar:not(.alwaysExpandable).right{right:0}}"]
                    }] }
        ];
        /** @nocollapse */
        BeaShellComponent.ctorParameters = function () {
            return [
                { type: beaShell_service.BeaShellService }
            ];
        };
        BeaShellComponent.propDecorators = {
            options: [{ type: i0.Input, args: ['options',] }]
        };
        return BeaShellComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TopbarComponent = /** @class */ (function () {
        function TopbarComponent(beaShell) {
            this.beaShell = beaShell;
        }
        /**
         * @return {?}
         */
        TopbarComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.options = this.beaShell.onOptionsChange.pipe(operators.map(function (options) { return options; }));
                this.expanded = this.beaShell.onSidebarToggle;
            };
        /**
         * @param {?} expand
         * @return {?}
         */
        TopbarComponent.prototype.onMenuButtonClick = /**
         * @param {?} expand
         * @return {?}
         */
            function (expand) {
                this.beaShell.onSidebarToggle.next(expand);
            };
        TopbarComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'topbar',
                        template: "<div *ngIf=\"(options | async).topbar as _topbar\">\r\n  <div class=\"topbar\" *ngIf=\"!_topbar.disabled\">\r\n    <div class=\"topbar-container\" role=\"navigation\">\r\n      <div class=\"left\">\r\n        <topbar-item *ngFor=\"let menuItem of _topbar.left\" [menuItem]=\"menuItem\"></topbar-item>\r\n      </div>\r\n      <div class=\"right\">\r\n        <topbar-item *ngFor=\"let menuItem of _topbar.right\" [menuItem]=\"menuItem\"></topbar-item>\r\n      </div>\r\n      <menu-icon *ngIf=\"(options | async).sidebar as _sidebar\" [class.alwaysExpandable]=\"_sidebar.alwaysExpandable && !_sidebar.disabled\"\r\n        [active]=\"expanded | async\" (onStateChange)=\"onMenuButtonClick($event)\"></menu-icon>\r\n    </div>\r\n  </div>\r\n</div>",
                        styles: [".topbar{height:54px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0;box-sizing:border-box;position:fixed;left:0;right:0}.sidebar{width:300px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.noselect{-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.topbar-container{box-sizing:border-box;display:table;padding:8px 16px;width:100%;max-width:100%;display:flex;flex-direction:row}.left{white-space:nowrap;overflow-x:auto;overflow-y:hidden;flex:1 1 auto}.right{white-space:nowrap;overflow-x:auto;overflow-y:hidden;flex:1 1 auto;text-align:right}menu-icon{display:inline-block;height:45px}menu-icon:not(.alwaysExpandable){display:none}@media screen and (max-width:768px){.item:not(.logo){display:none}menu-icon,menu-icon:not(.alwaysExpandable){display:inline-block}}"]
                    }] }
        ];
        /** @nocollapse */
        TopbarComponent.ctorParameters = function () {
            return [
                { type: beaShell_service.BeaShellService }
            ];
        };
        return TopbarComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarComponent = /** @class */ (function () {
        function SidebarComponent(beaShell) {
            this.beaShell = beaShell;
        }
        /**
         * @return {?}
         */
        SidebarComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.beaShell.onOptionsChange
                    .subscribe(function (options) {
                    _this.options = options.sidebar;
                    _this.withTopbar = !options.topbar.disabled;
                });
                this.expanded = this.beaShell.onSidebarToggle;
            };
        /**
         * @param {?} expand
         * @return {?}
         */
        SidebarComponent.prototype.onMenuButtonClick = /**
         * @param {?} expand
         * @return {?}
         */
            function (expand) {
                this.beaShell.onSidebarToggle.next(expand);
            };
        /**
         * @return {?}
         */
        SidebarComponent.prototype.close = /**
         * @return {?}
         */
            function () {
                this.beaShell.onSidebarToggle.next(false);
            };
        SidebarComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'sidebar',
                        template: "<div *ngIf=\"options\" class=\"sidebar\" [ngClass]=\"options.placement ? options.placement : 'left'\"\r\n  [class.alwaysExpandable]=\"options.alwaysExpandable\" [class.expanded]=\"(expanded | async)\" [class.withTopbar]=\"withTopbar\">\r\n\r\n  <div class=\"header sidebar-content\">\r\n\r\n    <div *ngFor=\"let menuItem of options.header\">\r\n      <sidebar-item [options]=\"options\" [menuItem]=\"menuItem\"></sidebar-item>\r\n    </div>\r\n\r\n    <div class=\"header-close-button\">\r\n      <menu-icon [active]=\"true\" (onStateChange)=\"onMenuButtonClick($event)\"></menu-icon>\r\n    </div>\r\n  </div>\r\n\r\n  <div class=\"sidebar-content-container\">\r\n    <div class=\"sidebar-content\" *ngFor=\"let menuItem of options.menuItems\">\r\n      <sidebar-item [options]=\"options\" [menuItem]=\"menuItem\"></sidebar-item>\r\n    </div>\r\n  </div>\r\n\r\n  <div class=\"footer sidebar-content\" *ngIf=\"options.footer\">\r\n    <div *ngFor=\"let menuItem of options.footer\">\r\n      <sidebar-item [options]=\"options\" [menuItem]=\"menuItem\"></sidebar-item>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"closing-box\" [class.expanded]=\"(expanded | async)\" [class.alwaysExpandable]=\"options.alwaysExpandable\"\r\n  (click)=\"close()\"></div>",
                        styles: [".topbar{height:54px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.sidebar{width:300px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0;position:fixed;top:0;bottom:0;transition:left .4s ease-in-out,right .4s ease-in-out;z-index:2;overflow:auto;display:flex;flex-direction:column}.sidebar .footer .footer-container a,.sidebar .header .header-title a{color:rgba(0,0,0,.7);font-family:Roboto,\"Helvetica Neue Light\",\"Helvetica Neue\",Helvetica,Arial,\"Lucida Grande\",sans-serif;font-size:15px}.noselect{-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.sidebar.withTopbar{margin-top:54px}.sidebar.left{left:0}.sidebar.right{right:0}.sidebar .header{display:table;padding-top:8px;border-bottom:1px solid rgba(0,0,0,.1)}.sidebar .header .header-title{vertical-align:top;display:table-cell;white-space:nowrap}.sidebar .header .header-title a{display:block;text-decoration:none;padding:10px 16px}.sidebar .header .header-close-button{vertical-align:top;display:none;text-align:right;white-space:nowrap}.sidebar .sidebar-content-container{flex-grow:1}.sidebar .sidebar-content{box-sizing:border-box;margin:0;width:100%}.sidebar .footer{border-top:1px solid rgba(0,0,0,.1)}.sidebar .footer .footer-container{padding:8px 16px}.sidebar .footer .footer-container a{display:block;text-decoration:none;padding:10px 16px}.closing-box{position:absolute;top:0;left:0;right:0;bottom:0;transition:.2s;background-color:rgba(0,0,0,.3);display:none;z-index:3}.alwaysExpandable.sidebar{margin-top:0;z-index:4}.alwaysExpandable.sidebar.withTopbar{margin-top:0}.alwaysExpandable.sidebar.left:not(.expanded){left:-310px}.alwaysExpandable.sidebar.left.expanded{left:0}.alwaysExpandable.sidebar.right:not(.expanded){right:-310px}.alwaysExpandable.sidebar.right.expanded{right:0}.alwaysExpandable.sidebar .header .header-close-button{display:table-cell}.alwaysExpandable.closing-box.expanded{display:block}@media screen and (max-width:768px){.sidebar{margin-top:0;z-index:4}.sidebar.withTopbar{margin-top:0}.sidebar.left:not(.expanded){left:-310px}.sidebar.left.expanded{left:0}.sidebar.right:not(.expanded){right:-310px}.sidebar.right.expanded{right:0}.sidebar .header .header-close-button{display:table-cell}.closing-box.expanded{display:block}}"]
                    }] }
        ];
        /** @nocollapse */
        SidebarComponent.ctorParameters = function () {
            return [
                { type: beaShell_service.BeaShellService }
            ];
        };
        return SidebarComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MenuIconComponent = /** @class */ (function () {
        function MenuIconComponent() {
            this.active = false;
            this.onStateChange = new i0.EventEmitter();
        }
        /**
         * @return {?}
         */
        MenuIconComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        MenuIconComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'menu-icon',
                        template: "\r\n<div class=\"container\" [class.active]=\"active\" (click)=\"onStateChange.emit( !active )\">\r\n  <div class=\"bar top\"></div>\r\n  <div class=\"bar middle\"></div>\r\n  <div class=\"bar bottom\"></div>\r\n</div>",
                        styles: [".container{display:inline-block;cursor:pointer;padding:10px 16px 9px}.bar{width:18px;height:3px;background-color:rgba(0,0,0,.6);transition:.4s}.top{margin:0 0 3px}.middle{margin:3px 0}.bottom{margin:3px 0 0}.active .top{-webkit-transform:translateY(6px) rotate(45deg);transform:translateY(6px) rotate(45deg)}.active .middle{opacity:0}.active .bottom{-webkit-transform:translateY(-6px) rotate(-45deg);transform:translateY(-6px) rotate(-45deg)}"]
                    }] }
        ];
        /** @nocollapse */
        MenuIconComponent.ctorParameters = function () { return []; };
        MenuIconComponent.propDecorators = {
            active: [{ type: i0.Input }],
            onStateChange: [{ type: i0.Output }]
        };
        return MenuIconComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SidebarItemComponent = /** @class */ (function () {
        function SidebarItemComponent() {
        }
        /**
         * @return {?}
         */
        SidebarItemComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @return {?}
         */
        SidebarItemComponent.prototype.select = /**
         * @return {?}
         */
            function () {
                this.selected = !this.selected;
            };
        SidebarItemComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'sidebar-item',
                        template: "<div class=\"item-group\" *ngIf=\"options\">\r\n    <menu-item [barClass]=\"'sidebar-item'\" [menuItem]=\"menuItem\" [submenuIcon]=\"options?.submenuIcon\" (click)=select()></menu-item>\r\n    <div class=\"sub-items\" *ngIf=\"menuItem.subitems\" [class.selected]=\"selected\">\r\n        <div *ngFor=\"let subItem of menuItem.subitems\">\r\n            <sidebar-item [options]=\"options\" [menuItem]=\"subItem\"></sidebar-item>\r\n        </div>\r\n    </div>\r\n</div>",
                        styles: [".topbar{height:54px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.sidebar{width:300px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.noselect{-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.item-group{cursor:pointer}.item-group .sub-items{height:0;overflow-y:hidden}.item-group .sub-items.selected{height:auto;padding-top:5px;padding-bottom:5px}"]
                    }] }
        ];
        /** @nocollapse */
        SidebarItemComponent.ctorParameters = function () { return []; };
        SidebarItemComponent.propDecorators = {
            options: [{ type: i0.Input, args: ['options',] }],
            menuItem: [{ type: i0.Input, args: ['menuItem',] }]
        };
        return SidebarItemComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TopbarItemComponent = /** @class */ (function () {
        function TopbarItemComponent() {
        }
        /**
         * @return {?}
         */
        TopbarItemComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} menuItem
         * @return {?}
         */
        TopbarItemComponent.prototype.select = /**
         * @param {?} menuItem
         * @return {?}
         */
            function (menuItem) {
                console.log(menuItem);
            };
        TopbarItemComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'topbar-item',
                        template: "<div class=\"item-group\" [ngClass]=\"menuItem.class\">\r\n  <div *ngIf=\"menuItem.html\">{{menuItem.html}}</div>\r\n  <menu-item [barClass]=\"'topbar-item'\" [menuItem]=\"menuItem\" (click)=select(menuItem)></menu-item>\r\n  <div class=\"subitems\" *ngIf=\"menuItem.subitems\">\r\n    <menu-item *ngFor=\"let menuItem of menuItem.subitems\" [barClass]=\"'topbar-subitem'\" [menuItem]=\"menuItem\" (click)=select(menuItem)></menu-item>\r\n  </div>\r\n</div>",
                        styles: [".topbar{height:54px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.sidebar{width:300px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.noselect{-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.item-group{cursor:pointer;display:inline-block}.item-group .subitems{display:none;position:fixed;background-color:#f9f9f9;min-width:160px;box-shadow:0 8px 16px 0 rgba(0,0,0,.2)}.item-group .subitems .item,.item-group:hover .subitems{display:block}"]
                    }] }
        ];
        /** @nocollapse */
        TopbarItemComponent.ctorParameters = function () { return []; };
        TopbarItemComponent.propDecorators = {
            menuItem: [{ type: i0.Input, args: ["menuItem",] }]
        };
        return TopbarItemComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ContentComponent = /** @class */ (function () {
        function ContentComponent(beaShell) {
            this.beaShell = beaShell;
        }
        /**
         * @return {?}
         */
        ContentComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.beaShell.onOptionsChange
                    .subscribe(function (options) {
                    _this.options = options;
                    _this.withTopbar = !options.topbar.disabled;
                });
            };
        ContentComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'content',
                        template: '<ng-content></ng-content>'
                    }] }
        ];
        /** @nocollapse */
        ContentComponent.ctorParameters = function () {
            return [
                { type: beaShell_service.BeaShellService }
            ];
        };
        return ContentComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MenuItemComponent = /** @class */ (function () {
        function MenuItemComponent(_router) {
            this._router = _router;
        }
        /**
         * @return {?}
         */
        MenuItemComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                if (this.menuItem.icon) {
                    this.placement = this.menuItem.iconPlacement == 'right' ? 'right' : 'left';
                }
            };
        /**
         * @param {?} menuItem
         * @return {?}
         */
        MenuItemComponent.prototype.click = /**
         * @param {?} menuItem
         * @return {?}
         */
            function (menuItem) {
                if (menuItem.href) {
                    window.open(menuItem.href, menuItem.newTab ? '_blank' : '_self');
                }
                if (menuItem.link) {
                    this._router.navigate([menuItem.link]);
                }
            };
        MenuItemComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'menu-item',
                        template: "<!-- Duplicated to avoid empty href which occurs when setting routerLink without a value -->\r\n\r\n<div class=\"item\" [ngClass]=\"barClass\" (click)=\"selected = !selected\" [class.linked]=\"menuItem.href || menuItem.link || menuItem.subitems\">\r\n  <div *ngIf=\"menuItem.image\" class=\"item-content item-image\">\r\n      <img [src]=\"menuItem.image\">\r\n  </div>\r\n  <div class=\"item-content item-title\">\r\n      <a class=\"noselect\" (click)=\"click(menuItem)\">\r\n        <i *ngIf=\"placement == 'left'\" class=\"item-icon {{menuItem.icon}}\"></i>\r\n        {{menuItem.title}}\r\n        <i *ngIf=\"placement == 'right'\" class=\"item-icon {{menuItem.icon}}\"></i>\r\n      </a>\r\n  </div>\r\n  <div class=\"item-content item-toggle\" *ngIf=\"menuItem.subitems && !submenuIcon?.disabled\">\r\n    <span class=\"{{submenuIcon?.customClass}}\" [class.selected]=\"selected\" [class.rotate]=\"submenuIcon?.rotate ? submenuIcon.rotate : true\"\r\n      [innerHTML]=\"submenuIcon ? submenuIcon.html : '\u25BC'\">\r\n    </span>\r\n  </div>\r\n</div>",
                        styles: [".topbar{height:54px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.sidebar{width:300px;box-shadow:rgba(0,0,0,.2) 0 3px 5px -1px,rgba(0,0,0,.14) 0 6px 10px 0,transparent 0 1px 18px 0;background-color:#f0f0f0}.item a,.sidebar-item .item-title a{color:rgba(0,0,0,.7);font-family:Roboto,\"Helvetica Neue Light\",\"Helvetica Neue\",Helvetica,Arial,\"Lucida Grande\",sans-serif;font-size:15px}.noselect{-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.topbar-item.item .item-toggle,.topbar-subitem .item-toggle{display:none}.topbar-item.item a,.topbar-subitem a{display:block;text-align:center;padding:10px 16px}.topbar-item.item .item-icon,.topbar-subitem .item-icon{padding:0 5px}.sidebar-item .item{width:100%}.sidebar-item .item-title a{padding:10px 32px;font-size:15px;text-decoration:none;display:block}.sidebar-item .item-icon{padding:0 5px}.sidebar-item .item-toggle{padding:10px 16px}.sidebar-item .item-toggle span{display:block;color:rgba(0,0,0,.6);transition:.3s}.sidebar-item .item-toggle span.selected.rotate{-webkit-transform:rotate(180deg);transform:rotate(180deg)}.item{transition:background-color .3s,color .3s;cursor:default}.item .item-content{display:table-cell;vertical-align:top;box-sizing:border-box;margin:0;width:100%;height:auto}.item .item-image img{max-height:35px}.item.linked{cursor:pointer}.item.linked:hover{color:rgba(255,255,255,.9);background-color:rgba(0,0,0,.3);border-radius:3px}.item.linked:hover .item-title a,.item.linked:hover .item-toggle span{color:rgba(255,255,255,.9)}.item a{display:inline-block;text-decoration:none;transition:.2s}"]
                    }] }
        ];
        /** @nocollapse */
        MenuItemComponent.ctorParameters = function () {
            return [
                { type: router.Router }
            ];
        };
        MenuItemComponent.propDecorators = {
            menuItem: [{ type: i0.Input, args: ['menuItem',] }],
            submenuIcon: [{ type: i0.Input, args: ['submenuIcon',] }],
            barClass: [{ type: i0.Input, args: ['barClass',] }]
        };
        return MenuItemComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var BeaShellModule = /** @class */ (function () {
        function BeaShellModule() {
        }
        BeaShellModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            router.RouterModule
                        ],
                        declarations: [
                            BeaShellComponent,
                            TopbarComponent,
                            SidebarComponent,
                            MenuIconComponent,
                            SidebarItemComponent,
                            TopbarItemComponent,
                            ContentComponent,
                            MenuItemComponent
                        ],
                        exports: [
                            BeaShellComponent
                        ],
                        providers: [
                            beaShell_service.BeaShellService
                        ],
                    },] }
        ];
        return BeaShellModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.BeaShellService = BeaShellService;
    exports.BeaShellComponent = BeaShellComponent;
    exports.BeaShellModule = BeaShellModule;
    exports.ɵc = MenuIconComponent;
    exports.ɵg = MenuItemComponent;
    exports.ɵf = ContentComponent;
    exports.ɵd = SidebarItemComponent;
    exports.ɵb = SidebarComponent;
    exports.ɵe = TopbarItemComponent;
    exports.ɵa = TopbarComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=bea-shell.umd.js.map